Bug 1666836 - Review Request: rocminfo - ROCm system info utility
Summary: Review Request: rocminfo - ROCm system info utility
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1545479
TreeView+ depends on / blocked
 
Reported: 2019-01-16 17:14 UTC by Tom Stellard
Modified: 2019-07-12 21:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 21:14:15 UTC
fschwarz: fedora-review+


Attachments (Terms of Use)

Comment 1 Felix Schwarz 2019-01-19 21:32:48 UTC
Thanks for working on that. I don't feel qualified to do a real review but I noticed two minor things:
- Changelog item missing for the latest version.
- After rebuilding "rocminfo" on Fedora 29 (Ryzen 2600, AMD RX 570) the binary immediately crashes in "core::InterruptSignal::InterruptSignal(long, _HsaEvent*)" (/lib64/libhsa-runtime64.so.1).

dnf installed hsakmt 1.0.6-6.20171026git172d101.fc29 and rocm-runtime 1.6.1-8.fc29 automatically and probably both are a bit outdated. Even though the package initially targets rawhide/F30 I was wondering if you should require more recent dependencies. (Side note: yes, the amdkfd kernel module initializes correctly and says "added device ...".)

Comment 2 Felix Schwarz 2019-01-19 21:47:02 UTC
Ah, of course I forgot to mention that with the rawhide versions of hsakmt/rocm-runtime (recompiled on F29) also "rocminfo" works as expected on my F29 system.

Comment 3 Germano Massullo 2019-01-21 17:14:40 UTC
Andreas Schneider [1] that is aware of Fedora community work on packaging ROCm stack, showed me his pending pull request [2] that
"cleans up cmake so that the library can be correctly packaged for distributions. It also cleans up cmake as there are several things which should not be done in cmake."

You may want to give a look to it.

Best regards

[1]: https://github.com/cryptomilk
[2]: https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/pull/25

Comment 5 Felix Schwarz 2019-01-24 13:34:50 UTC
well, I think this package is simple enough so I'll just jump :-)

tldr: Package looks good, just two trivial items and one error.

1. SPEC file contains unused "commit"/shortcommit" definitions.
2. "Packages should try to preserve timestamps of original installed files"
   "install" does not use "--preserve-timestamps". Currently this has no effect because "rocm_agent_enumerator" is patched anyway but if you switch to a future rocminfo release it might be nice to keep the timestamps.
3. package only builds on x86_64 (and AFAIK upstream only supports that architecture)
   but ExcludeArch is not used ( https://koji.fedoraproject.org/koji/taskinfo?taskID=32225953 )
   This might be even a case for ExclusiveArch.

No other issues spotted by fedora-review (disregarding the usual quirks like multiple packages owning /usr/lib/.build-id). I'll paste the full template once the package is approved.

Comment 6 Tom Stellard 2019-01-24 14:25:34 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/tstellar/rocm-2.0/fedora-rawhide-x86_64/00849974-rocminfo/rocminfo.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/tstellar/rocm-2.0/fedora-rawhide-x86_64/00849974-rocminfo/rocminfo-1.0.0-1.fc30.src.rpm

(In reply to Felix Schwarz from comment #5)
> well, I think this package is simple enough so I'll just jump :-)
> 
> tldr: Package looks good, just two trivial items and one error.
> 
> 1. SPEC file contains unused "commit"/shortcommit" definitions.

I removed these definitions.

> 2. "Packages should try to preserve timestamps of original installed files"
>    "install" does not use "--preserve-timestamps". Currently this has no
> effect because "rocm_agent_enumerator" is patched anyway but if you switch
> to a future rocminfo release it might be nice to keep the timestamps.

I've added the -p flag to the install commands.

> 3. package only builds on x86_64 (and AFAIK upstream only supports that
> architecture)
>    but ExcludeArch is not used (
> https://koji.fedoraproject.org/koji/taskinfo?taskID=32225953 )
>    This might be even a case for ExclusiveArch.
> 

There has been interested in ROCm on aarch64 and we already build the
rocr-runtime and libhsakmt for aarch64, so I patched the package to fix the
build on aarch64 and added ExclusiveArch for x86_64 and aarch64.  

> No other issues spotted by fedora-review (disregarding the usual quirks like
> multiple packages owning /usr/lib/.build-id). I'll paste the full template
> once the package is approved.

Comment 7 Felix Schwarz 2019-01-24 21:08:22 UTC
Thanks for your work, Tom. No issues found, package is approved :-)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

(No issues found, package is approved)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     (/usr/lib/.build-id is fine)
[X]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[-]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Source0 is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rocminfo-1.0.0-1.fc30.x86_64.rpm
          rocminfo-debuginfo-1.0.0-1.fc30.x86_64.rpm
          rocminfo-debugsource-1.0.0-1.fc30.x86_64.rpm
          rocminfo-1.0.0-1.fc30.src.rpm
rocminfo.x86_64: W: no-manual-page-for-binary rocm_agent_enumerator
rocminfo.x86_64: W: no-manual-page-for-binary rocminfo
4 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (debuginfo)
-------------------
Checking: rocminfo-debuginfo-1.0.0-1.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
rocminfo (rpmlib, GLIBC filtered):
    /usr/bin/python3
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhsa-runtime64.so.1()(64bit)
    libhsa-runtime64.so.1(ROCR_1)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

rocminfo-debugsource (rpmlib, GLIBC filtered):

rocminfo-debuginfo (rpmlib, GLIBC filtered):


Provides
--------
rocminfo:
    rocminfo
    rocminfo(x86-64)

rocminfo-debugsource:
    rocminfo-debugsource
    rocminfo-debugsource(x86-64)

rocminfo-debuginfo:
    debuginfo(build-id)
    rocminfo-debuginfo
    rocminfo-debuginfo(x86-64)


Source checksums
----------------
https://github.com/RadeonOpenCompute/rocminfo/archive/1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 858823b8d0e42c1c2b1ee41bdb8410068a907a62ea1f629531db1b74664a1403
  CHECKSUM(SHA256) upstream package : 858823b8d0e42c1c2b1ee41bdb8410068a907a62ea1f629531db1b74664a1403


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1666836 --mock-config=fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Gwyn Ciesla 2019-01-25 14:17:03 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rocminfo

Comment 9 Felix Schwarz 2019-07-12 21:14:15 UTC
Review is complete, package imported to git + built


Note You need to log in before you can comment on or make changes to this bug.